package com.jxdinfo.hussar.core.exception;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.base.tips.ErrorTip;
import com.jxdinfo.hussar.core.exception.HussarCoreException;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@RestControllerAdvice
public class HussarCoreExceptionHandler {
  @ExceptionHandler({HussarCoreException.class})
  @ResponseStatus(HttpStatus.BAD_REQUEST)
  public ErrorTip credentials(HussarCoreException hussarCoreException) {
    return new ErrorTip(400, hussarCoreException.getLocalizedMessage());
  }
}
